#!/bin/sh

########################################################################
#             (c) Copyright 2017 PRINK SRL		               #
#                        All rights reserved                           #
########################################################################
#                                                                      #
#  This script will silently create the .OEM folder containing the     #
#  filtered applist.xml which will be read by the Device Monitor and   #
#  and the Application List Manager.				       #
#                                                                      #
########################################################################

DRIVER_PATH=/usr/local/funai
#CLASS_PATH="$DRIVER_PATH/v2/jar/xstream-1.3.1.jar:$DRIVER_PATH/v2/jar/xpp3_min-1.1.4c.jar:$DRIVER_PATH/v2/jar/config.jar:$DRIVER_PATH/v2/jar/tools.jar:$DRIVER_PATH/v2/jar/devicecore.jar:$DRIVER_PATH/v2/jar/localize.jar:$DRIVER_PATH/v2/jar/uiframework.jar:$DRIVER_PATH/v2/jar/appListManager.jar"
CLASS_PATH="$DRIVER_PATH/v2/jar/postinstall.jar:$DRIVER_PATH/v2/jar/localize.jar:$DRIVER_PATH/v2/jar/uiframework.jar:$DRIVER_PATH/v2/jar/tools.jar:$DRIVER_PATH/wsu_v2/jar/wsu.jar:$DRIVER_PATH/wsu_v2/jar/localize_wsu.jar:$DRIVER_PATH/v2/jar/devicecore.jar:$DRIVER_PATH/v2/jar/xpp3_min-1.1.4c.jar:$DRIVER_PATH/v2/jar/xstream-1.3.1.jar:$DRIVER_PATH/v2/jar/config.jar"

OPTIONS="-Xms4m -Xmx8m -Djava.library.path=$DRIVER_PATH/v2/lib/ -Duser.language=$1 -Duser.region=$2"
TARGET="mdwapclss.apps.postinstall.PostInstaller "
JAVA_CMD=java
REQUIRED_VERSION=1.6

export LD_LIBRARY_PATH="$DRIVER_PATH/v2/lib/"

#java -classpath ${CLASS_PATH} ${OPTIONS} ${TARGET}

if [ -f "/usr/local/funai/v2/jre/bin/java" ]; then
	JAVA_CMD="/usr/local/funai/v2/jre/bin/java"
elif [ -f "/usr/local/funai/wsu_v2/jre/bin/java" ]; then
	JAVA_CMD="/usr/local/funai/wsu_v2/jre/bin/java"
elif [ -f "/usr/bin/java" ]; then
	JAVA_CMD="/usr/bin/java"
elif [ -f "/etc/alternatives/java" ]; then
	JAVA_CMD="/etc/alternatives/java"
else
	xmessage -buttons "OK" "There is no Java Runtime Environment (JRE) detected in your system.
Kindly download the *driver with included JRE or use *openJDK.

*driver  (e.g. funai-inkjet-driver-wJRE-2.0-1.i386.rpm, funai-inkjet-driver-wJRE-2.0-1.i386.deb)
*openJDK (e.g. [Ubuntu]# apt-get install openjdk-6-jre
	       [Fedora]# yum install java-1.6.0-openjdk
	       [OpenSuse]# zypper install java-1.6.0-openjdk)" -center
	exit 1
fi



$JAVA_CMD -version 2> /tmp/java_version
VERSION=`cat /tmp/java_version | grep "java version" | awk '{ print substr($3, 2, length($3)-2); }'`
rm /tmp/java_version
VERSION=`echo $VERSION | awk '{ print substr($1, 1, 3); }' | sed -e 's;\.;0;g'`
REQUIRED_VERSION=`echo $REQUIRED_VERSION | sed -e 's;\.;0;g'`

if [ $VERSION ]
then
      if [ $VERSION -ge $REQUIRED_VERSION ]
      then
           $JAVA_CMD -classpath ${CLASS_PATH} ${OPTIONS} ${TARGET}
      else
	xmessage -buttons "OK" "The version of Java Runtime Environment (JRE) detected in your system is below the required version.
The required version for Java Runtime Environment (JRE) should be 1.6 or higher." -center
	exit 1
      fi
else
	xmessage -buttons "OK" "The version of Java Runtime Environment (JRE) detected in your system is below the required version.
The required version for Java Runtime Environment (JRE) should be 1.6 or higher." -center
	exit 1
fi

